Description

With the HTTP foundation quite some things from Environment have become obsolete. The class and it's "users" need to be adjusted.

Related issues:
related to TYPO3.Flow - Feature # 35243: HTTP 1.1 Support – Foundations Resolved 2012-03-26
related to TYPO3.Flow - Bug # 36397: baseUri setting no longer used since HTT... Resolved 2012-04-20
related to TYPO3.Flow - Bug # 35868: Unstable condition in Utility\Environment On Hold 2012-04-11
related to TYPO3.Flow - Bug # 36114: Property Mapping breaks for file uploads... Resolved 2012-04-15
related to TYPO3.Flow - Feature # 37402: Make request handling RESTfuller Resolved 2012-05-22

Associated revisions
Revision 817017e0 - 2012-04-25 23:00 - Karsten Dambekalns

[!!!][TASK] Clean up Environment after HTTP refactoring

With the HTTP foundation quite some things from Environment have become
obsolete. The class and it's "users" are adjusted in this change.

The following methods are removed from Environment (check Http\Request
to see if a method you need is available there) with this change:

    -  setBaseUri
    -  getHTTP*
    -  getAcceptedFormats
    -  getRemoteAddress
    -  getRemoteHost
    -  getRequestProtocol
    -  getRequestUri
    -  getBaseUri
    -  getScriptPathAndFileName
    -  getScriptRequestPathAndFileName
    -  getScriptRequestPath
    -  getRequestMethod
    -  getCommandLineArgumentCount
    -  getCommandLineArguments
    -  getSAPIName
    -  getRawGetArguments
    -  getRawPostArguments
    -  getUploadedFiles
    -  getRawServerEnvironment
Most of those were marked as public API, but we still decided to drop
them, as their use cases were only guesswork.

For some things that used to be available, access to the current request
is now needed. For this, getHttpRequest() was added to the new
HttpRequestHandlerInterface, which returns the current HttpRequest.

Change-Id: I18fe7d44207bd2e170eec72d60d7d92ed91cf152
Resolves: #36340
Related: #35243
Releases: 1.1

History
#1 - 2012-04-20 21:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10662

#2 - 2012-04-24 11:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10662

#3 - 2012-04-25 16:39 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10662

#4 - 2012-04-25 18:41 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10662

#5 - 2012-04-25 18:52 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10662

#6 - 2012-04-25 19:15 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10662

#7 - 2012-04-25 23:03 - Gerrit Code Review
Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10662

#8 - 2012-04-26 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:817017e0051be25da3a675c666f811f88a62c802.
